##
##  perl-text.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                         5.22
%define       V_text_template                1.46
%define       V_text_wrapper                 1.05
%define       V_text_reform                  1.20
%define       V_text_autoformat              1.669007
%define       V_text_quoted                  2.06
%define       V_text_shellwords              1.08
%define       V_text_vimcolor                0.11
%define       V_text_bargraph                1.1
%define       V_text_graph                   0.83
%define       V_text_asciitable              0.22
%define       V_string_approx                3.28
%define       V_string_format                1.17
%define       V_string_shellquote            1.04
%define       V_pod_escapes                  1.04
%define       V_pod_simple                   3.30
%define       V_number_format                1.75
%define       V_text_soundex                 3.05

#   package information
Name:         perl-text
Summary:      Perl Text Manipulating Modules
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20170416

#   list of sources
Source0:      http://www.cpan.org/authors/id/M/MJ/MJD/Text-Template-%{V_text_template}.tar.gz
Source1:      http://www.cpan.org/authors/id/C/CJ/CJM/Text-Wrapper-%{V_text_wrapper}.tar.gz
Source2:      http://www.cpan.org/authors/id/C/CH/CHORNY/Text-Reform-%{V_text_reform}.tar.gz
Source3:      http://www.cpan.org/authors/id/D/DC/DCONWAY/Text-Autoformat-%{V_text_autoformat}.tar.gz
Source4:      http://www.cpan.org/authors/id/R/RU/RUZ/Text-Quoted-%{V_text_quoted}.tar.gz
Source5:      http://www.cpan.org/authors/id/L/LD/LDS/Text-Shellwords-%{V_text_shellwords}.tar.gz
Source6:      http://www.cpan.org/authors/id/G/GE/GEOFFR/Text-VimColor-%{V_text_vimcolor}.tar.gz
Source7:      http://www.cpan.org/authors/id/K/KB/KBAUCOM/Text-BarGraph-%{V_text_bargraph}.tar.gz
Source8:      http://www.cpan.org/authors/id/G/GW/GWADEJ/Text-Graph-%{V_text_graph}.tar.gz
Source9:      http://www.cpan.org/authors/id/L/LU/LUNATIC/Text-ASCIITable-%{V_text_asciitable}.tar.gz
Source10:     http://www.cpan.org/authors/id/J/JH/JHI/String-Approx-%{V_string_approx}.tar.gz
Source11:     http://www.cpan.org/authors/id/D/DA/DARREN/String-Format-%{V_string_format}.tar.gz
Source12:     http://www.cpan.org/authors/id/R/RO/ROSCH/String-ShellQuote-%{V_string_shellquote}.tar.gz
Source13:     http://www.cpan.org/authors/id/S/SB/SBURKE/Pod-Escapes-%{V_pod_escapes}.tar.gz
Source14:     http://www.cpan.org/authors/id/D/DW/DWHEELER/Pod-Simple-%{V_pod_simple}.tar.gz
Source15:     http://www.cpan.org/authors/id/W/WR/WRW/Number-Format-%{V_number_format}.tar.gz
Source16:     http://www.cpan.org/authors/id/R/RJ/RJBS/Text-Soundex-%{V_text_soundex}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-util, perl-locale
PreReq:       perl-util, perl-locale

%description
    Various modules for text manipulation with perl
    - Text::Template (%{V_text_template})
    - Text::Wrapper (%{V_text_wrapper})
    - Text::Reform (%{V_text_reform})
    - Text::Autoformat (%{V_text_autoformat})
    - Text::Quoted (%{V_text_quoted})
    - Text::Shellwords (%{V_text_shellwords})
    - Text::VimColor (%{V_text_vimcolor})
    - Text::BarGraph (%{V_text_bargraph})
    - Text::Graph (%{V_text_graph})
    - Text::ASCIITable (%{V_text_asciitable})
    - Text::Soundex (%{V_text_soundex})
    - String::Approx (%{V_string_approx})
    - String::Format (%{V_string_format})
    - String::ShellQuote (%{V_string_shellquote})
    - Pod::Escapes (%{V_pod_escapes})
    - Pod::Simple (%{V_pod_simple})
    - Number::Format (%{V_number_format})

%track
    prog perl-text:Text-Autoformat = {
        version   = %{V_text_autoformat}
        url       = http://www.cpan.org/authors/id/D/DC/DCONWAY/
        regex     = Text-Autoformat-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-Quoted = {
        version   = %{V_text_quoted}
        url       = http://www.cpan.org/authors/id/R/RU/RUZ/
        regex     = Text-Quoted-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-Reform = {
        version   = %{V_text_reform}
        url       = http://www.cpan.org/authors/id/C/CH/CHORNY/
        regex     = Text-Reform-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-Template = {
        version   = %{V_text_template}
        url       = http://www.cpan.org/authors/id/M/MJ/MJD/
        regex     = Text-Template-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-Wrapper = {
        version   = %{V_text_wrapper}
        url       = http://www.cpan.org/authors/id/C/CJ/CJM/
        regex     = Text-Wrapper-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-Shellwords = {
        version   = %{V_text_shellwords}
        url       = http://www.cpan.org/authors/id/L/LD/LDS/
        regex     = Text-Shellwords-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-VimColor = {
        version   = %{V_text_vimcolor}
        url       = http://www.cpan.org/authors/id/G/GE/GEOFFR/
        regex     = Text-VimColor-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-BarGraph = {
        version   = %{V_text_bargraph}
        url       = http://www.cpan.org/authors/id/K/KB/KBAUCOM/
        regex     = Text-BarGraph-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-Graph = {
        version   = %{V_text_graph}
        url       = http://www.cpan.org/authors/id/G/GW/GWADEJ/
        regex     = Text-Graph-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-ASCIITable = {
        version   = %{V_text_asciitable}
        url       = http://www.cpan.org/authors/id/L/LU/LUNATIC/
        regex     = Text-ASCIITable-(__VER__)\.tar\.gz
    }
    prog perl-text:Text-Soundex = {
        version   = %{V_text_soundex}
        url       = http://www.cpan.org/authors/id/R/RJ/RJBS/
        regex     = Text-Soundex-(__VER__)\.tar\.gz
    }
    prog perl-text:String-Approx = {
        version   = %{V_string_approx}
        url       = http://www.cpan.org/authors/id/J/JH/JHI/
        regex     = String-Approx-(__VER__)\.tar\.gz
    }
    prog perl-text:String-Format = {
        version   = %{V_string_format}
        url       = http://www.cpan.org/authors/id/D/DA/DARREN/
        regex     = String-Format-(__VER__)\.tar\.gz
    }
    prog perl-text:String-ShellQuote = {
        version   = %{V_string_shellquote}
        url       = http://www.cpan.org/authors/id/R/RO/ROSCH/
        regex     = String-ShellQuote-(__VER__)\.tar\.gz
    }
    prog perl-text:Pod-Escapes = {
        version   = %{V_pod_escapes}
        url       = http://www.cpan.org/authors/id/S/SB/SBURKE/
        regex     = Pod-Escapes-(__VER__)\.tar\.gz
    }
    prog perl-text:Pod-Simple = {
        version   = %{V_pod_simple}
        url       = http://www.cpan.org/authors/id/D/DW/DWHEELER/
        regex     = Pod-Simple-(\d+\.\d+(\.\d+)*)\.tar\.gz
    }
    prog perl-text:Number-Format = {
        version   = %{V_number_format}
        url       = http://www.cpan.org/authors/id/W/WR/WRW/
        regex     = Number-Format-(\d+\.\d+(\.\d+)*)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3
    %setup -q -T -D -a 4
    %setup -q -T -D -a 5
    %setup -q -T -D -a 6
    %setup -q -T -D -a 7
    %setup -q -T -D -a 8
    %setup -q -T -D -a 9
    %setup -q -T -D -a 10
    %setup -q -T -D -a 11
    %setup -q -T -D -a 12
    %setup -q -T -D -a 13
    %setup -q -T -D -a 14
    %setup -q -T -D -a 15
    %setup -q -T -D -a 16

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE7}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE8}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE9}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE10} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE11} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE12} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE13} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE14} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE15} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE16} configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

